Subject: Re: problem with windows gui program
From: [email-masked] (Earnie Boyd)

28 Sep 1998 04:46:33 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Henry K. H. Cheung" <[email-masked]>, GNU <[email-masked]>

---"Henry K. H. Cheung" <[email-masked]> wrote:
>
> Hi:
> 
> I'm new to this.  How do you compile and link a windows program?  I've
> this (simplew32.c):
> 
> #include <windows.h>
> #include <stdio.h>
> 
> int STDCALL
> WinMain (HINSTANCE hInst, HINSTANCE hPrev, LPSTR lpCmd, int nShow)
> {
>  char text[80];
> 
>   MessageBox (NULL, text, "Test", MB_OK);
>   return 0;
> }
> 
> and when I use bash this on NT4 (Cygnwin32 Beta 19) with
>     'gcc -o simplew32.exe simplew32.c -lgdi32'
> 

Do it this way:

gcc -c simplew32.c
gcc -o simplew32.exe simplew32.o -mwindows

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".